package com.lovcoding.day01;

public class Test02_BianLiang {


    //psvm 生成主函数
    public static void main(String[] args) {
        //先声明，后使用
        //System.out.println(a);
        //int a = 10;

        //int a ; //没有赋值
        //System.out.println(a);

        //作用域
        int a = 10;
        //int a = 20;
        {
            System.out.println(a);
        }
        //byte b = 128;


    }

    //psvm 生成主函数
    public static void main1(String[] args) {
        //变量声明  赋值  使用
        // 8 基本数据类型
        //整形
        byte a = 127;
        short b = 128;
        int c = 12345;
        long d = 12342342423423L; //超范围 int  加 L 大写
        //浮点
        float e = 1.234F; //float必须加 F
        double f = 1.2342; //double 可以省略 D
        //字符
        char g = '国'; //单引号 只有一个字符
        //布尔
        boolean h= true;
        //字符串
        String str = "这是字符串";
        System.out.println(a);
        System.out.println(b);
        System.out.println(c);
        System.out.println(d);
        System.out.println(e);
        System.out.println(f);
        System.out.println(g);
        System.out.println(h);
        System.out.println(str);

        System.out.println("---");
        //变量可以重复赋值
        int a1 = 10;
        a1= 20;

        //先声明后赋值
        int a2 ;
        a2 = 20;

    }
}
